Unknown facet type 'Spring'

Hello,

I am trying to build the sample plugin in IntelliJ but I get the error:

Cannot load facet Spring
Unknown facet type 'Spring'

Does anyone know what i am doing wrong?

Thank you!

5 comments
Comment actions Permalink

Do you use IDEA Ultimate Edition or a Community one? Community edition has no Spring support and TC plugins use Spring and it's XML configuration file.

0
Comment actions Permalink

Ah, that would be it, I'm using the community edition.

I did download the spring framework, though - is it possible place the configuration file somewhere so that the plugin can build, or do I absolutely need the ultimate edition?

Thanks so much for your help!

0
Comment actions Permalink

I think you can and I believe you can safely ignore this IDEA error. Simply running the Ant build (don't forget to update build.properties and point to your existing  TC installation) should be enough, regardless of which IDEA version is used. It's when you edit Spring config files, then IDEA Community doesn't provide any kind of "Spring-intellisense", it is merely an XML editor.

0
Comment actions Permalink

Okay, that is great news! Thanks so much for your help!

0
Comment actions Permalink

You're welcome :)

0

Please sign in to leave a comment.